<template>
    <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search" role="search" @submit.prevent="onSubmit" :action="url">
        <div class="input-group">
            <input type="text"  v-model="search" class="form-control bg-light border-0 small" placeholder="Ref, Commande..." aria-label="Ref, Commande..." aria-describedby="basic-addon2">
            <button class="btn btn-primary" type="button">
                <font-awesome-icon icon="fa-solid fa-magnifying-glass" />
            </button>
        </div>
    </form>
  </template>
  <script lang="ts">
  export default {
    data(){
        return {
            search: "",
            url:"",
        }
    },
    methods:{
        getDark(event:any){
            this.$emit('get-dark', event)
        },
        onSubmit() {
            if(this.search.length<= 6){
                this.$router.push({ name: 'Product',params:{id:this.search} })
            }
        }
    }
  };
  
  </script>
  
  <style>
    .bg-light{
        background-color: #eef2f8!important;
    }
  </style>